
User Interface - Feature #1807

implement clipboard support

10/30/2012 12:01 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 80.00 hours

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #1811: implement the AJAX client driver Closed 11/01/2013 03/06/2014

Related to User Interface - Bug #3120: ChUI CLIPBOARD implementation New 06/02/2016

Related to Base Language - Feature #3467: implement clipboard stream support Closed

History

#1 - 10/30/2012 12:01 PM - Greg Shah

CLIPBOARD system handle and all used attrs/methods + general runtime support

#2 - 10/31/2012 02:49 PM - Greg Shah

- Target version set to Milestone 12

#3 - 07/07/2015 04:36 PM - Greg Shah

Some things to note:

1. ChUI does support use of the CLIPBOARD system handle (including the VALUE attribute for both reading and writing).  However, there is no

system clipboard in this case.  The 4GL has its own private/process-internal clipboard that is used.  We will need to investigate how much of the

MULTIPLE and type support is functional.

2. ChUI has some kind of support for CUT (default key function mapped to F10), COPY (default key function mapped to F11) and PASTE (default key

function mapped to F12).  I could get these to fire a trigger, but I could not get data from the clipboard into a fill-in or editor.  One might thing that there

would have to be a current selection for copy or cut to work.  The selection-start and selection-end attributes are read-only.  At this point we don't

know how to make a selection through the user interface.  I wonder if we could make that work, if copy/cut would then work.  Anyway, this needs

more research.  They must have some kind of function, otherwise why is the support there?

Both of these things are partially illustrated by testcases/uast/clipboard/clipboard_basic.p.

#4 - 03/23/2016 04:54 PM - Greg Shah

- Target version deleted (Milestone 12)

#5 - 06/02/2016 09:32 AM - Greg Shah

Task #3120 has been created for the ChUI implementation (which will provide an "internal" clipboard).
https://proj.goldencode.com/issues/3120


Basic support for the CLIPBOARD system handle and for the get/set of the VALUE attribute in GUI has been implemented in task branch 3084a as

part of #3080.

#6 - 02/06/2018 01:24 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#7 - 02/06/2018 01:25 PM - Greg Shah

- Related to Feature #3467: implement clipboard stream support added
